define("wildFuryRulesDeclaration", ["componentmodelComponentApi", "slotModelApi", "clientkernelEventbusApi", "moneyApi"],
    function(componentmodelComponentApi, slotModelApi, clientkernelEventbusApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wildFuryRulesDeclaration == 'undefined') {
            var wildFuryRulesDeclaration = {};
        };
        wildFuryRulesDeclaration.RulesDeclaration = function() {};
        wildFuryRulesDeclaration.RulesDeclaration = ck_implements(wildFuryRulesDeclaration.RulesDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wildFuryRulesDeclaration.RulesDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wildFuryRulesDeclaration.RulesDeclaration.__name__ = ["wildFuryRulesDeclaration", "RulesDeclaration"];
        wildFuryRulesDeclaration.RulesDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wildFuryRulesDeclaration.RulesDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wildFuryRulesDeclaration.RulesDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        wildFuryRulesDeclaration.RulesDeclaration.prototype.getUsedPorts = function() {
            return [slotModelApi.ISlotModelPort];
        };
        wildFuryRulesDeclaration.RulesDeclaration.prototype.__class__ = wildFuryRulesDeclaration.RulesDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: wildFuryRulesDeclaration
        };
    });
//# sourceURL=wildFuryRulesDeclaration.js